# MPI_Abort

Terminates MPI execution environment

## Synopsis

    #include "mpi.h"
    int MPI_Abort( MPI_Comm comm, int errorcode )

## Input Parameters

| comm | communicator of tasks to abort
| errorcode | error code to return to invoking environment

## Notes

Terminates all MPI processes associated with the communicator `comm`; in most systems (all to date), terminates all processes.

## Notes for Fortran

All MPI routines in Fortran (except for `MPI_WTIME` and `MPI_WTICK`) have an additional argument `ierr` at the end of the argument list. `ierr` is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the `call` statement.

All MPI objects (e.g., `MPI_Datatype`, `MPI_Comm`) are of type `INTEGER` in Fortran.

Location:abort.c